[SciPy-dev] tried new weave compiler, no-go

Travis N. Vaught travis at scipy.org
Sat Jan 5 11:08:02 CST 2002


Does this fail as well:

>>> from Numeric import *
>>> import weave
>>> a = ones((5,5),Float32)
>>> b = ones((5,5),Float32)
>>> weave.blitz("a = a + b")

# I get the following for 'a'...

>>> a
array([[ 2.,  2.,  2.,  2.,  2.],
       [ 2.,  2.,  2.,  2.,  2.],
       [ 2.,  2.,  2.,  2.,  2.],
       [ 2.,  2.,  2.,  2.,  2.],
       [ 2.,  2.,  2.,  2.,  2.]],'f')



> -----Original Message-----
> From: scipy-dev-admin at scipy.org [mailto:scipy-dev-admin at scipy.org]On
> Behalf Of Rob
> Sent: Saturday, January 05, 2002 10:08 AM
> To: scipy-dev at scipy.org
> Subject: [SciPy-dev] tried new weave compiler, no-go
> 
> 
> Hi All,
> 
> Weave built and installed OK on FreeBSD, but when I try to use it Python
> complains that weave has no blitz() member.
> 
> e.g.
> import weave
> foo="a*b"
> weave.blitz(foo)
> 
> Comes back with the error.
> 
> Rob.
> -- 
> The Numeric Python EM Project
> 
> www.pythonemproject.com
> _______________________________________________
> Scipy-dev mailing list
> Scipy-dev at scipy.net
> http://www.scipy.net/mailman/listinfo/scipy-dev



More information about the Scipy-dev mailing list